Bug 8902 - When used with APT::Get::PrintLocalFiles, apt shows incorrect paths for local files
: When used with APT::Get::PrintLocalFiles, apt shows incorrect paths for local...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/apt)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-01-22 02:34 by
Modified: 2008-03-01 14:59 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-01-22 02:34:42
Уже некоторое время испытываю проблему с hasher: если я работаю с удалённым
репозиторием, то для файлов из локальных репозиториев (в частности, для
репозитория самого hasher, используемого при включённом --with-stuff) apt-get
генерирует неправильный локальный путь, а именно, пакет ищется в кэше apt'а,
причём в каталоге partial! Исследования привели к сильному подозрению на
неверную работу apt с опцией APT::Get::PrintLocalFiles. Во всяком случае,
попытка избавиться от использования этой опции (фактически, применение патча из
Bug 8121, с которого всё когда-то и началось) привела к восстановлению работы
hasher. Изолированные опыты с apt я пока не проводил.
------- Comment #1 From 2006-02-21 03:33:45 -------
Действительно, APT::Get::PrintLocalFile=yes как-то странно работает с
локальными
репозиториями.
------- Comment #2 From 2006-02-21 04:25:58 -------
Fixed in apt-0.5.15cnc6-alt18 + hasher-1.0.28-alt1.